import React, {FunctionComponent, ReactElement} from 'react';
import {NavLink, Outlet} from 'react-router-dom';
import {useAppDispatch, useAppSelector} from '../store/hooks';
import {setInitialUser} from '../store/users/users.slice';
import {useDispatch} from 'react-redux';

const Layout: FunctionComponent = (): ReactElement => {
	const {user} = useAppSelector((state) => state.user);
	const dispatch = useAppDispatch();
	return (
		<div className="bg-gray-50 dark:bg-gray-900">
			<div className="flex justify-between container mx-auto">
				<p>Forum</p>
				{!user.username ? (
					<div>
						<NavLink className={'mr-3'} to={'register'}>
							Register
						</NavLink>
					</div>
				) : (
					<div className="flex items-center">
						<p>{user.username}</p>
						<NavLink className={'mx-4'} to={'/'}>
							Add new Post
						</NavLink>
						<NavLink
							onClick={() => {
								window.sessionStorage.setItem('token', '');
								dispatch(setInitialUser());
							}}
							to={'/'}
						>
							Log out
						</NavLink>
					</div>
				)}
			</div>
			<Outlet />
		</div>
	);
};

export default Layout;
